<template>
  <div class="home">
    <div class="home-banner">
      <img src="../assets/images/home.jpg" />
      <div class="home-banner-background">
        <div class="home-banner-content animated-title">
          <div class="text-top">
            <div>
              <span>EVERY</span>
              <span>WORKOUT</span>
            </div>
          </div>
          <div class="text-bottom">
            <div>MATTERS!</div>
          </div>
        </div>
      </div>
      <div class="home-content rounded">
        <div class="card-div">
          
          <div class="flip">
            <div
              class="front"
              style="background-image: url(https://images.unsplash.com/photo-1521805103424-d8f8430e8933?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80)"
            >
              <h1 class="text-shadow">STORE</h1>
            </div>
            <div class="back">
              <h2>Our Products</h2>
              <p>
                Buy Fitness Equipment, Commercial & Home Gym Equipment From Fitness World at Best Price in India.
              </p>
            </div>
          </div>
          <div class="flip">
            <div
              class="front"
              style="background-image: url(https://nutritionpro.net/wp-content/uploads/2019/03/iStock-944690798.jpg)"
            >
              <h1 class="text-shadow">DIET & NUTRITIONIST</h1>
            </div>
            <div class="back">
              <h2>Personalized Diet Plan</h2>
              <p>
                When you have a personalized diet plan laid out for you, 
                it can help you learn proper portion sizes and keep your calorie intake in check.
              </p>
            </div>
          </div>
        </div>
        <div class="card-div">
          <div class="flip">
            <div
              class="front"
              style="background-image: url(https://images.unsplash.com/photo-1490645935967-10de6ba17061?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1035&q=80)"
            >
              <h1 class="text-shadow">RECIPES</h1>
            </div>
            <div class="back">
              <h2>Healthy Recipes</h2>
              <p>
                Find trusted recipes for eating healthy: start the day with a wholesome breakfast, cut the carbs or calories, 
                find the perfect main dish for your special diet.
              </p>
            </div>
          </div>
          <div class="flip">
            <div
              class="front"
              style="background-image: url(https://www.webnetcreative.com/wp-content/uploads/2019/05/46688611_l-1024x683.jpg)"
            >
              <h1 class="text-shadow">FITNESS CLASSES</h1>
            </div>
            <div class="back">
              <h2>Virtual Fitness Classes</h2>
              <p>
                You needn't ditch your daily exercise just because you can't step out. 
                Become a premium member and enjoy virtual fitness classes from numerous trainers.
              </p>
            </div>
          </div>
        </div>
        <div class="home-desc">
        <p>
          <span> Products:</span> Gym equipment doesn't have to be fancy and expensive. This array of home gym equipment — including an ab wheel, kettlebells, a stability ball, and more — won't break the bank, but it'll still allow you to lift, sculpt and tone, all while you're watching Netflix in your living room. Looking to transform your body in 2020? We've rounded up the best new health and fitness products, including equipment, clothing, supplements, and accessories, so you can stay in shape all year with the right tools and tricks.<br/>
          <span>Virtual Fitness Classes :</span> Pandemic is no reason to skip your essential workout. All live classes can be accessed on mobile devices and laptops, and one can also stream the session on desktop and mirror it on the TV screen. All one needs is a good internet connection and a charged phone.<br/>
          <span>Recipes:</span> If you don't know where to begin when it comes to making healthy food choices -- or if you are already following a healthy, wholesome diet but need some new recipe ideas -- we have gathered together a few favorite blogs to turn to for fresh, seasonal, whole-grain cooking (and baking).<br/>
          <span>Dietition & Nutritionist:</span>  Nutritionist can play an important role in your health by evaluating your diet and offering you personalized advice." It's also an opportunity to help inspire others and encourage them to shape a happier and healthier outlook. Get a personalized diet from our health experts according to your own body metabolism.
        </p>

      </div>
      </div>
      
    </div>
  </div>
  
</template>
<script>
export default {
  data() {
    return {
    }
  }
};
</script>

<style>
@import url("https://fonts.googleapis.com/css?family=Roboto:700");

@keyframes showTopText {
  0% {
    transform: translate3d(0, 100%, 0);
  }
  40%,
  60% {
    transform: translate3d(0, 50%, 0);
  }
  100% {
    transform: translate3d(0, 0, 0);
  }
}
@keyframes showBottomText {
  0% {
    transform: translate3d(0, -100%, 0);
  }
  100% {
    transform: translate3d(0, 0, 0);
  }
}
.home-desc p{
  font-size: 20px;
    /* margin-top: 0px; */
}
.home-desc p span {
  font-style: italic;
}
.animated-title {
  color: #f3e367;
  font-family: Roboto, Arial, sans-serif;
  height: 90vmin;
  left: 50%;
  position: absolute;
  top: 30%;
  transform: translate(-50%, -50%);
  width: 90vmin;
}
.animated-title > div {
  height: 50%;
  overflow: hidden;
  position: absolute;
  width: 100%;
}
.animated-title > div div {
  font-size: 12vmin;
  padding: 2vmin 0;
  position: absolute;
}
.animated-title > div div span {
  display: block;
}
.animated-title > div.text-top {
  border-bottom: 1vmin solid #000;
  top: 0;
}
.animated-title > div.text-top div {
  animation: showTopText 1s;
  animation-delay: 0.5s;
  animation-fill-mode: forwards;
  bottom: 0;
  transform: translate(0, 100%);
}
.animated-title > div.text-top div span:first-child {
  color: #929d9e;
}
.animated-title > div.text-bottom {
  bottom: 0;
}
.animated-title > div.text-bottom div {
  animation: showBottomText 0.5s;
  animation-delay: 1.75s;
  animation-fill-mode: forwards;
  top: 0;
  transform: translate(0, -100%);
}
.back p {
  padding: 30px;
}
.home-banner-background {
  position: absolute;
  background: rgba(0, 0, 0, 0.7);
  top: 0;
  width: 100%;
  text-align: center;
  height: 800px;
}
.home-banner img {
  display: block;
  width: 100%;
  height: 800px;
}
.home-banner-content {
  top: 60%;
  position: absolute;
  padding-left: 50px;
  text-align: left;
  height: 800px;
}
.blockquote-2 {
  font-family: "Open Sans", sans-serif;
  font-size: 40px;
  color: #929d9e;
  margin-bottom: 100px;
}
.home-content {
  width: 80%;
  /* top: 70%; */
  margin-top: -80px !important;
  position: absolute;
  font-size: 0;
  margin-top: 10px;
  text-align: center;
  background: white;
  left: 10%;
  padding: 45px 0;
}
.card-div {
  text-align: center;
}
.flip {
  margin: 20px;
  position: relative;
}
.flip > .front,
.flip > .back {
  display: block;
  transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition-duration: 0.5s;
  transition-property: transform, opacity;
}
.flip > .front {
  transform: rotateY(0deg);
}
.flip > .back {
  position: absolute;
  opacity: 0;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  transform: rotateY(-180deg);
}
.flip:hover > .front {
  transform: rotateY(180deg);
}
.flip:hover > .back {
  opacity: 1;
  transform: rotateY(0deg);
}
.flip.flip-vertical > .back {
  transform: rotateX(-180deg);
}
.flip.flip-vertical:hover > .front {
  transform: rotateX(180deg);
}
.flip.flip-vertical:hover > .back {
  transform: rotateX(0deg);
}

.flip {
  position: relative;
  display: inline-block;
  margin-right: 2px;
  margin-bottom: 1em;
  width: 400px;
}
.flip > .front,
.flip > .back {
  display: block;
  color: white;
  width: inherit;
  background-size: cover !important;
  background-position: center !important;
  height: 220px;
  padding: 1em 2em;
  background: #313131;
  border-radius: 10px;
}
.flip > .front p,
.flip > .back p {
  font-size: 0.9125rem;
  line-height: 160%;
  color: #999;
}

.text-shadow {
  text-shadow: 1px 1px rgba(0, 0, 0, 0.04), 2px 2px rgba(0, 0, 0, 0.04),
    3px 3px rgba(0, 0, 0, 0.04), 4px 4px rgba(0, 0, 0, 0.04),
    0.125rem 0.125rem rgba(0, 0, 0, 0.04), 6px 6px rgba(0, 0, 0, 0.04),
    7px 7px rgba(0, 0, 0, 0.04), 8px 8px rgba(0, 0, 0, 0.04),
    9px 9px rgba(0, 0, 0, 0.04), 0.3125rem 0.3125rem rgba(0, 0, 0, 0.04),
    11px 11px rgba(0, 0, 0, 0.04), 12px 12px rgba(0, 0, 0, 0.04),
    13px 13px rgba(0, 0, 0, 0.04), 14px 14px rgba(0, 0, 0, 0.04),
    0.625rem 0.625rem rgba(0, 0, 0, 0.04), 16px 16px rgba(0, 0, 0, 0.04),
    17px 17px rgba(0, 0, 0, 0.04), 18px 18px rgba(0, 0, 0, 0.04),
    19px 19px rgba(0, 0, 0, 0.04), 1.25rem 1.25rem rgba(0, 0, 0, 0.04);
}
</style>
